Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.commons.fileupload
Class MockPortletSession

    java.lang.Object
      org.apache.commons.fileupload.MockPortletSession

All Implemented Interfaces:
  javax.portlet.PortletSession

    public class MockPortletSession

extends java.lang.Object
implements javax.portlet.PortletSession

A mock portlet session, useful for unit testing and offline utilities Note: currently doesn't support scoping

Version:
  $Id: MockPortletSession.java 479262 2006-11-26 03:09:24Z niallp $
Author:
  David Sean Taylor

Field Summary

Fields inherited from interface javax.portlet.PortletSession
`APPLICATION_SCOPE, PORTLET_SCOPE`

Constructor Summary
`MockPortletSession()`

Method Summary
`java.lang.Object` | `getAttribute(java.lang.String name)`
`java.lang.Object` | `getAttribute(java.lang.String name, int scope)`
`java.util.Enumeration` | `getAttributeNames()`
`java.util.Enumeration` | `getAttributeNames(int scope)`
`long` | `getCreationTime()`
`java.lang.String` | `getId()`
`long` | `getLastAccessedTime()`
`int` | `getMaxInactiveInterval()`
`javax.portlet.PortletContext` | `getPortletContext()`
`void` | `invalidate()`
`boolean` | `isNew()`
`void` | `removeAttribute(java.lang.String name)`
`void` | `removeAttribute(java.lang.String name, int scope)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value)`
`void` | `setAttribute(java.lang.String name, java.lang.Object value, int scope)`
`void` | `setMaxInactiveInterval(int interval)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MockPortletSession

    public MockPortletSession()

Method Detail

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name)

  Specified by:
    `getAttribute` in interface `javax.portlet.PortletSession`

### getAttribute

    public java.lang.Object getAttribute(java.lang.String name,
                                         int scope)

  Specified by:
    `getAttribute` in interface `javax.portlet.PortletSession`

### getAttributeNames

    public java.util.Enumeration getAttributeNames(int scope)

  Specified by:
    `getAttributeNames` in interface `javax.portlet.PortletSession`

### getCreationTime

    public long getCreationTime()

  Specified by:
    `getCreationTime` in interface `javax.portlet.PortletSession`

### getId

    public java.lang.String getId()

  Specified by:
    `getId` in interface `javax.portlet.PortletSession`

### getLastAccessedTime

    public long getLastAccessedTime()

  Specified by:
    `getLastAccessedTime` in interface `javax.portlet.PortletSession`

### getMaxInactiveInterval

    public int getMaxInactiveInterval()

  Specified by:
    `getMaxInactiveInterval` in interface `javax.portlet.PortletSession`

### invalidate

    public void invalidate()

  Specified by:
    `invalidate` in interface `javax.portlet.PortletSession`

### isNew

    public boolean isNew()

  Specified by:
    `isNew` in interface `javax.portlet.PortletSession`

### removeAttribute

    public void removeAttribute(java.lang.String name)

  Specified by:
    `removeAttribute` in interface `javax.portlet.PortletSession`

### removeAttribute

    public void removeAttribute(java.lang.String name,
                                int scope)

  Specified by:
    `removeAttribute` in interface `javax.portlet.PortletSession`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value)

  Specified by:
    `setAttribute` in interface `javax.portlet.PortletSession`

### getAttributeNames

    public java.util.Enumeration getAttributeNames()

  Specified by:
    `getAttributeNames` in interface `javax.portlet.PortletSession`

### setAttribute

    public void setAttribute(java.lang.String name,
                             java.lang.Object value,
                             int scope)

  Specified by:
    `setAttribute` in interface `javax.portlet.PortletSession`

### setMaxInactiveInterval

    public void setMaxInactiveInterval(int interval)

  Specified by:
    `setMaxInactiveInterval` in interface `javax.portlet.PortletSession`

### getPortletContext

    public javax.portlet.PortletContext getPortletContext()

  Specified by:
    `getPortletContext` in interface `javax.portlet.PortletSession`

Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2002-2008 The Apache Software Foundation. All Rights Reserved.